# Slack Mattermost Emoji

This gem is a simple script to download all the custom emoji in a Slack
workspace and upload them to a Mattermost instance.

## Installation

```
$ git clone https://git.simulacrum.party/simulacrumparty/slack_mattermost_emoji.git
$ cd slack_mattermost_emoji
$ bundle
$ cp .env.sample .env
```

Fill in the relevant values in .env and you should be all set!

(requires Ruby and Bundler to be installed)

## Usage

```
$ bin/slack-mattermost-emoji
```

## Tests

###🚨🚨🚨 WARNING 🚨🚨🚨
Running the test suite _will_ upload actual files to your actual Mattermost
instance.

```
$ rspec
```

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
